org.eclipse.emf.cdo.eresource.impl

## Class CDOResourceFactoryImpl

- java.lang.Object
- - org.eclipse.emf.cdo.eresource.impl.CDOResourceFactoryImpl

- All Implemented Interfaces:
    CDOResourceFactory, Resource.Factory

      public class CDOResourceFactoryImpl
      extends java.lang.Object
      implements CDOResourceFactory

  Creates default `CDOResource` instances.
  Author:
    Eike Stepper
  No Extend
    This class is not intended to be subclassed by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory

      `Resource.Factory.Descriptor, Resource.Factory.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOResourceFactory` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOResourceFactoryImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CDOResourceImpl` | `createCDOResource(URI uri)`
    `Resource` | `createResource(URI uri)`
    `java.util.Set<java.lang.String>` | `getResourceSetClassNames()`
    `protected boolean` | `isGetResource()` TODO Add TCs to ensure that Ecore internally doesn't change the way the stack is used!!!

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final CDOResourceFactory INSTANCE

      Since:
        4.0

  - ### Constructor Detail

    - #### CDOResourceFactoryImpl

          public CDOResourceFactoryImpl()

  - ### Method Detail

    - #### getResourceSetClassNames

          public java.util.Set<java.lang.String> getResourceSetClassNames()

      Since:
        4.2

    - #### createResource

          public Resource createResource(URI uri)

      Specified by:
        `createResource` in interface `Resource.Factory`

    - #### createCDOResource

          protected CDOResourceImpl createCDOResource(URI uri)

      Since:
        4.0

    - #### isGetResource

          protected boolean isGetResource()

      TODO Add TCs to ensure that Ecore internally doesn't change the way the stack is used!!!
      Since:
        3.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html